classification
Title: Argument Clinic: generate code into separate files by default
Type: enhancement Stage: resolved
Components: Argument Clinic, Build, Demos and Tools Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: 23500 Superseder:
Assigned To: Nosy List: BreamoreBoy, larry, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-02-22 11:04 by serhiy.storchaka, last changed 2015-04-04 21:48 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
clinic_file.patch serhiy.storchaka, 2015-02-22 11:04 review
Messages (7)
msg236406 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-02-22 11:04
Proposed patch makes Argument Clinic to generate code into separate files by default. This will help maintaining in the case of enhancements of Argument Clinic generation (such as issue23492). See thread on http://comments.gmane.org/gmane.comp.python.devel/151585 .

There is an issue with multiple macro definition in the posix module (see issue23500).
msg240036 - (view) Author: Roundup Robot (python-dev) Date: 2015-04-03 20:54
New changeset aa88a18a4aa1 by Serhiy Storchaka in branch 'default':
Issue #23501: Argumen Clinic now generates code into separate files by default.
https://hg.python.org/cpython/rev/aa88a18a4aa1
msg240037 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-04-03 20:56
Thanks!  I've been meaning to follow up on this.  I think CPython should be consistent, one way or another.  So I support this change.
msg240089 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-04-04 20:12
I think this change in association with that in #23500 is causing builds to fail on Windows.

error C2065: 'OS_STAT_METHODDEF' : undeclared identifier	C:\cpython\Modules\posixmodule.c line 12083
msg240090 - (view) Author: Roundup Robot (python-dev) Date: 2015-04-04 20:36
New changeset 17eb29faebde by Serhiy Storchaka in branch 'default':
Issue #23501: #include "clinic/posixmodule.c.h" was in the section skipped on Windows.
https://hg.python.org/cpython/rev/17eb29faebde
msg240091 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-04 20:37
Thank you Mark.
msg240092 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-04-04 21:48
Serhiy, thank you for the quick fix :)
History
Date User Action Args
2015-04-04 21:48:51BreamoreBoysetmessages: + msg240092
2015-04-04 20:37:12serhiy.storchakasetmessages: + msg240091
2015-04-04 20:36:25python-devsetmessages: + msg240090
2015-04-04 20:12:40BreamoreBoysetnosy: + BreamoreBoy
messages: + msg240089
2015-04-03 20:56:25larrysetmessages: + msg240037
2015-04-03 20:54:56serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-04-03 20:54:14python-devsetnosy: + python-dev
messages: + msg240036
2015-02-25 15:30:09serhiy.storchakasetcomponents: + Argument Clinic
2015-02-22 11:06:40serhiy.storchakalinkissue23492 dependencies
2015-02-22 11:05:50serhiy.storchakasetdependencies: + Argument Clinic: multiple macro definition
2015-02-22 11:04:48serhiy.storchakacreate